=== modified file 'archive-reports'
--- archive-reports	2013-07-04 21:29:50 +0000
+++ archive-reports	2013-08-05 10:41:23 +0000
@@ -101,6 +101,17 @@
 	background pids run-proposed-migration
 fi
 
+if release_changed "$DEVEL-proposed"; then
+	rsync -aq --delete --prune-empty-dirs \
+		"$MIRROR/dists/$DEVEL/" \
+		"/srv/chroots/lucid-transitions/srv/transitions/mirror/ubuntu/dists/$DEVEL/"
+	rsync -aq --delete --prune-empty-dirs \
+		"$MIRROR/dists/$DEVEL-proposed/" \
+		"/srv/chroots/lucid-transitions/srv/transitions/mirror/ubuntu/dists/$DEVEL-proposed/"
+
+	background pids update-transitions
+fi
+
 # Now update all the other chdist configurations, and wait for that to
 # finish before doing anything else.
 chdist_pids=
@@ -126,17 +137,6 @@
 	background pids cron.NBS
 fi
 
-if release_changed "$DEVEL-proposed"; then
-	rsync -aq --delete --prune-empty-dirs \
-		"$MIRROR/dists/$DEVEL/" \
-		"/srv/chroots/lucid-transitions/srv/transitions/mirror/ubuntu/dists/$DEVEL/"
-	rsync -aq --delete --prune-empty-dirs \
-		"$MIRROR/dists/$DEVEL-proposed/" \
-		"/srv/chroots/lucid-transitions/srv/transitions/mirror/ubuntu/dists/$DEVEL-proposed/"
-
-	background pids update-transitions
-fi
-
 if release_changed "$DEVEL" || release_changed "$DEVEL-proposed"; then
 	# Do an extra germinate run so that we can run component-mismatches
 	# against -proposed.  (We can't do this as part of LP archive

